2 Replies - 361 Views - Last Post: 19 July 2017 - 07:24 AM

#1 Pogaca  Icon User is offline

  • D.I.C Head

Reputation: 6
  • View blog
  • Posts: 98
  • Joined: 24-August 13

Material Design - Implement on lower SDK

Posted 06 July 2017 - 05:23 AM

Hello there. I want to use Material Design for Android layout development but the problem is that it just does not work for lower version than 7.1 (25 SDK). So, I tried to google out the solution for the issue but somehow it just does not work well. When I try to run app it says: The app can not run , minimum required SDK is 25 and android is using 21. Any ideas? Even , after setting the minimum SDK requirement to 21, somehow, still does not work.
Is This A Good Question/Topic? 0
  • +

Replies To: Material Design - Implement on lower SDK

#2 modi123_1  Icon User is online

  • Suitor #2
  • member icon



Reputation: 13552
  • View blog
  • Posts: 54,075
  • Joined: 12-June 08

Re: Material Design - Implement on lower SDK

Posted 06 July 2017 - 06:54 AM

There's not much you can do since the base level is baked into the APK and set by their developers.
Was This Post Helpful? 0
  • +
  • -

#3 eclipsed4utoo  Icon User is offline

  • Not Your Ordinary Programmer
  • member icon

Reputation: 1533
  • View blog
  • Posts: 5,972
  • Joined: 21-March 08

Re: Material Design - Implement on lower SDK

Posted 19 July 2017 - 07:24 AM

Material Design is supported all the way back to Android 2.1 if you use the Design Support library.

https://android-deve...rt-library.html
Was This Post Helpful? 0
  • +
  • -

Page 1 of 1